#include "niceshaper.h"
#include "error.h"

void dump_error ( int mesid, char bufline[LONG_BUF] ) 
{
    char buf[LONG_BUF]="";
    
    if      (( mesid == 11 ) && ( lang == pl )) strcat( buf, "nieznany parametr" );
    else if (( mesid == 11 ) && ( lang == en )) strcat( buf, "unknown parameter" );
    else if (( mesid == 12 ) && ( lang == pl )) strcat( buf, "firewall uszkodzony!!!" );
    else if (( mesid == 12 ) && ( lang == en )) strcat( buf, "firewall crashed!!!" );
    else if (( mesid == 13 ) && ( lang == pl )) strcat( buf, "Bledny reload. Parametr musi byc z zakresu: (0.1s - 600s)" );
    else if (( mesid == 13 ) && ( lang == en )) strcat( buf, "Wrong reload. Must be in range: (0.1s - 600s)" );
    else if (( mesid == 14 ) && ( lang == pl )) strcat( buf, "Bdny iptable-hook" );
    else if (( mesid == 14 ) && ( lang == en )) strcat( buf, "Wrong iptables-hook" );
    else if (( mesid == 15 ) && ( lang == pl )) strcat( buf, "Brak sekcji do uruchomienia" );
    else if (( mesid == 15 ) && ( lang == en )) strcat( buf, "Nothing to run" );
    else if (( mesid == 16 ) && ( lang == pl )) strcat( buf, "Bdny interfejs" );
    else if (( mesid == 16 ) && ( lang == en )) strcat( buf, "Not proper device" );
    else if (( mesid == 17 ) && ( lang == pl )) strcat( buf, "Nie obsugiwany scheduler" );
    else if (( mesid == 17 ) && ( lang == en )) strcat( buf, "Unrecognized scheduler" );
    else if (( mesid == 18 ) && ( lang == pl )) strcat( buf, "Bdna podsie" );
    else if (( mesid == 18 ) && ( lang == en )) strcat( buf, "Wrong network" );
    else if (( mesid == 19 ) && ( lang == pl )) strcat( buf, "section speed jest wymagane" );
    else if (( mesid == 19 ) && ( lang == en )) strcat( buf, "section speed is required" );    
    else if (( mesid == 20 ) && ( lang == pl )) strcat( buf, "section shape jest wymagane" );
    else if (( mesid == 20 ) && ( lang == en )) strcat( buf, "section shape is required" );
    else if (( mesid == 21 ) && ( lang == pl )) strcat( buf, "iptables-hook jest wymagane" );
    else if (( mesid == 21 ) && ( lang == en )) strcat( buf, "iptables-hook is required" );
    else if (( mesid == 22 ) && ( lang == pl )) strcat( buf, "iface jest wymagane" );
    else if (( mesid == 22 ) && ( lang == en )) strcat( buf, "iface is required" );
    else if (( mesid == 23 ) && ( lang == pl )) strcat( buf, "przynajmniej jedna klasa jest wymagana" );
    else if (( mesid == 23 ) && ( lang == en )) strcat( buf, "at least one class is required" );
    else if (( mesid == 24 ) && ( lang == pl )) strcat( buf, "bad skadni" );
    else if (( mesid == 24 ) && ( lang == en )) strcat( buf, "syntax error" );
    else if (( mesid == 25 ) && ( lang == pl )) strcat( buf, "za dluga linia konfiguracji" );
    else if (( mesid == 25 ) && ( lang == en )) strcat( buf, "config line is too long" );
    else if (( mesid == 26 ) && ( lang == pl )) strcat( buf, "nie mozna czytac z pliku" );
    else if (( mesid == 26 ) && ( lang == en )) strcat( buf, "cannot read file" );
    else if (( mesid == 27 ) && ( lang == pl )) strcat( buf, "nie mozna pisac do pliku" );
    else if (( mesid == 27 ) && ( lang == en )) strcat( buf, "cannot write to file" );
    else if (( mesid == 28 ) && ( lang == pl )) strcat( buf, "bdne uycie parametru uruchomieniowego" );
    else if (( mesid == 28 ) && ( lang == en )) strcat( buf, "runtime syntax error" );
    else if (( mesid == 29 ) && ( lang == pl )) strcat( buf, "bdny adres ip" );
    else if (( mesid == 29 ) && ( lang == en )) strcat( buf, "wrong ip address" );

    //else if (( mesid == 1 ) && ( lang == pl )) strcat( buf, "" );
    //else if (( mesid == 1 ) && ( lang == en )) strcat( buf, "" );

    if ( strlen(bufline)) printf( "\t%s: %s: %s\n ", section, buf, bufline );		
    else printf( "\t%s: %s\n ", section, buf );		
    
    fatal_error = true;
}

void dump_warning ( int mesid, char bufline[LONG_BUF] ) 
{
    char buf[LONG_BUF]="";

    if (( mesid == 1 ) && ( lang == pl )) strcat( buf, "Podana opcja jest przestaaa" );
    else if (( mesid == 1 ) && ( lang == en )) strcat( buf, "Given option is deprecated" );
    else if (( mesid == 2 ) && ( lang == pl )) strcat( buf, "Uzyto niestandardowego acucha iptables" );
    else if (( mesid == 2 ) && ( lang == en )) strcat( buf, "Probably wrong iptables hook" );

    //else if (( mesid == 1 ) && ( lang == pl )) strcat( buf, "" );
    //else if (( mesid == 1 ) && ( lang == en )) strcat( buf, "" );

    if ( strlen(bufline)) printf( "\t%s: %s: %s\n ", section, buf, bufline );		
    else printf( "\t%s: %s\n ", section, buf );		
}
