#ifndef NS_FILTER_H
#define NS_FILTER_H

#include "niceshaper.h"
#include "error.h"

class filterattrib {
public:
  filterattrib( char[], char[] );
  ~filterattrib();
  int store( char[] );
  int prepare_tcfilter();
  int envinit();
  void add() { system_tc(tcfilter_add); }
  void del() { system_tc(tcfilter_del); }
  unsigned int check( std::vector  < char * > & );
  char match[LONG_BUF];
private:
  char dev[MAX_IFACE];
  char tcfilter_add[LONG_BUF];
  char tcfilter_del[LONG_BUF];
  char ipt_match[LONG_BUF];
  unsigned int filterid;
  unsigned int handle_fw;
  unsigned int flowid;
  unsigned int chains;
  bool imq_auto_redirect;
  bool dest_mark;
  bool from_localhost;
  bool to_localhost;
  bool ipt_return;
  bool use_tc_filter;
  filtertype filter;
};

#endif
