#ifndef NS_INSTANCE_H
#define NS_INSTANCE_H

#include "niceshaper.h"
#include "class_container.h"

class instanceattrib {
public:
  instanceattrib();
  ~instanceattrib();
  void sync();
  void kill_child();
  void send_result(nsattrib *);
  void send_continue();
  void get_result();
  void send_init_status_error();
  void send_init_status_ok();
  int get_init_status();
  void dump_stats(int);
  class instanceattrib *next;
private:
  int pipe_read;
  int pipe_write;
  int pid;
  std::vector < char *> stats_container;
};

#endif
